<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<table cellpadding="0" cellspacing="0">
			<tr><td height="50%"></td></tr>
			<tr>
				<td>
					<xsl:apply-templates select="MENU-ITEM"  mode="top"/>				
				</td>
			</tr>	
			<tr><td height="50%"></td></tr>
		</table>
	</xsl:template>
 

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        		<table cellpadding="0" cellspacing="0" border="0" style="float:left;">
        		<tr>
        		<td class="menumark"><a href="{@HREF}"><img src="images/mark.gif" width="22" height="16" border="0" alt="" align="absmiddle" /></a></td>
        		<td class="menuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        		</tr>
        		</table>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        		<table cellpadding="0" cellspacing="0" border="0" style="float:left;">
        		<tr>
        		<td class="menumark"><img src="images/mark.gif" width="22" height="16" border="0" alt="" align="absmiddle"/></td>
        		<td class="menuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        		</tr>
        		</table>
            </xsl:when>
            <xsl:otherwise>
        		<table cellpadding="0" cellspacing="0" border="0" style="float:left;">
        		<tr>
        		<td class="menumark"><a href="{@HREF}"><img src="images/mark.gif" width="22" height="16" border="0" alt="" align="absmiddle" /></a></td>
        		<td class="menuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        		</tr>
        		</table>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
        		<table cellpadding="0" cellspacing="0" border="0" width="100%">
        		<tr height="2"><td colspan="2"></td></tr>
        		<tr>
        		<td class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        		<td class="secondmenumarkactive"><img src="images/2ndmenu_mark.gif" width="15" height="15" border="0" alt=""/></td>
        		</tr>
        		<tr height="2"><td colspan="2"></td></tr>
        		</table>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
            		<table cellpadding="0" cellspacing="0" border="0" width="100%">
            		<tr height="2"><td colspan="2"></td></tr>
            		<tr>
            		<td class="secondmenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            		<td class="secondmenumark"><a href="{@HREF}"><img src="images/2ndmenu_mark.gif" width="15" height="15" border="0" alt=""/></a></td>
            		</tr>
            		<tr height="2"><td colspan="2"></td></tr>
            		</table>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>



</xsl:stylesheet>
