<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="310" valign="top" background="images/header1.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="310" valign="bottom" background="images/header.jpg" style="background-position:top left;background-repeat:no-repeat;"><table width="100%" height="310" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="232"><!-- LOGO --><table width="200" border="0" align="center" cellpadding="2" cellspacing="0">
              <tr>
                <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
              </tr>
              <tr>
                <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
              </tr>
              <tr>
                <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
              </tr>
            </table><!-- END LOGO --></td>
            <td valign="bottom">
			
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="29" valign="bottom"><img src="images/008.gif" width="29" height="61"/></td>
                <td valign="bottom" background="images/008_1.gif"><div align="right"></div></td>
                <td width="27" align="right" valign="bottom"><img src="images/008_3.gif" width="27" height="61"/></td>
              </tr>
              <tr>
                <td background="images/008_8.gif"></td>
                <td background="images/008_9.gif"><!-- MENU --><table  border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <xsl:call-template name="TOP-MENU"/>
                  </tr>
                </table><!-- END MENU --></td>
                <td background="images/008_4.gif"></td>
              </tr>
              <tr>
                <td><img src="images/008_7.gif" width="29" height="21"/></td>
                <td background="images/008_6.gif"></td>
                <td><img src="images/008_5.gif" width="27" height="21"/></td>
              </tr>
            </table>
			
			
			</td>
            <td width="26"></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top"  height="100%">
      <table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
      <tr>
        <td valign="top" background="images/007_1.gif" style="background-position:right;background-repeat:repeat-y;" height="100%"><table width="100%"  border="0" cellspacing="0" cellpadding="0" height="100%">
          <tr>
            <td valign="top" background="images/002_1.gif" style="background-position:left;background-repeat:repeat-y;" height="100%"><table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
              <tr>
                <td valign="top" height="100%" background="images/002_1.gif" style="background-position:left;background-repeat:repeat-y;">
				<!-- SUBMENU -->
				<table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
                    <tr>
                      <td width="233" valign="top" height="100%" background="images/002_4.gif" style="background-position:bottom;background-repeat:repeat-x;"><table width="233" border="0" cellspacing="0" cellpadding="0" height="100%">
                        <tr>
                          <td valign="top"><img src="images/002.gif" width="233" height="70" /></td>
                        </tr>
                        <tr>
                          <td valign="top" height="100%"><table width="233" border="0" cellspacing="0" cellpadding="0" height="100%">
                              <tr>
                                <td valign="top" style="background-position:bottom left;background-repeat:no-repeat;"><table width="198"  border="0" align="center" cellpadding="0" cellspacing="0">
                                    <tr>
                                      <td valign="top" background="images/006_2.gif"><table width="198" border="0" cellspacing="0" cellpadding="0">
                                          <tr>
                                            <td valign="top" background="images/006_1.gif" style="background-position:bottom right;background-repeat:no-repeat;"><table width="198" border="0" cellspacing="0" cellpadding="0" height="260">
                                                <tr>
                                                  <td background="images/006_3.gif" style="background-position:top;background-repeat:no-repeat;padding-bottom:20px;" height="260" valign="top">
												  
												  
												  <table width="125"  border="0" align="center" cellpadding="0" cellspacing="0">
                                                     <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                                                  </table></td>
                                                </tr>
                                            </table></td>
                                          </tr>
                                      </table></td>
                                    </tr>
                                </table></td>
                              </tr>
                          </table></td>
                        </tr>
                      </table><!-- END SUBMENU --></td>
                      <td valign="top" height="100%" background="images/010.gif" bgcolor="#F7F7F7" style="background-position:bottom right;background-repeat:no-repeat;padding:20px;">
					  <!-- CONTENT -->
					  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                        <tr>
                          <td valign="top"><table border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                <td><img src="images/011.gif" width="17" height="17"/></td>
                              </tr>
                            </table>
                              <br/>
      <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
 </td>
                        </tr>
                      </table><!-- END CONTENT --></td>
                        </tr>
                </table></td>
                     <td width="28" valign="bottom" background="images/007.gif" style="background-position:bottom right;background-repeat:no-repeat;"><img src="images/007.gif" width="28" height="299"/></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="338"><img src="images/005.gif" width="338" height="66"/></td>
                      <td height="66" background="images/005_1.gif" width="100%"></td>
                      <td width="177" valign="top"><img src="images/005_2.gif" width="177" height="66"/></td>
                    </tr>
                </table></td>
              </tr>
              <tr>
                <td valign="top" background="images/012_1.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td height="72" valign="top" background="images/012.gif" style="background-position:bottom left;background-repeat:no-repeat;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td width="233" style="padding-left:10px;padding-right:10px;"><!-- FOOTER --><table width="200" border="0" align="center" cellpadding="0" cellspacing="0">
                                <tr>
                                  <td class="copyright"><div align="left"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
                                </tr>
                            </table><!-- END FOOTER --></td>
                            <td style="padding-right:28px;"><!-- BOTTOM MENU --><table border="0" align="center" cellpadding="0" cellspacing="0">
                                <tr>
                                  
                                  <xsl:call-template name="BOTTOM-MENU"/>
                                  
                                </tr>
                            </table><!-- END BOTTOM MENU --></td>
                          </tr>
						 
                      </table></td>
                    </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table>

</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >




<tr>
<td class="smenu" style="font-weight:bold"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td><div align="right"><img src="images/009.gif" width="21" height="18" /></div></td>
</tr>




		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">




 <tr>
<td class="smenua" style="font-weight:bold"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
<td><img src="images/009.gif" width="21" height="18" /></td>
</tr>



		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

 <tr>
<td colspan="2"><div align="center"><img src="images/009_1.gif" width="117" height="22" /></div></td>
</tr>



	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >


<td ><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>

<td ><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="34"><img src="images/004.gif" width="34" height="6"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
