<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
    				<td><a href="{@HREF}" class="amenu"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></a></td>
    				<xsl:if test="position()!=last()">
						<td><img src="images/separator.gif" style="margin: 0px 5px 0px 5px"/></td>
    				</xsl:if>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
    				<td><font class="amenu"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></font></td>
    				<xsl:if test="position()!=last()">
						<td><img src="images/separator.gif" style="margin: 0px 5px 0px 5px"/></td>
    				</xsl:if>
                </xsl:when>
                <xsl:otherwise>
    				<td><a href="{@HREF}" class="menu"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></a></td>
    				<xsl:if test="position()!=last()">
						<td><img src="images/separator.gif" style="margin: 0px 5px 0px 5px"/></td>
    				</xsl:if>
                </xsl:otherwise>
            </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
   				<td><span class="asubmenu"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></span></td>
   				<xsl:if test="position()!=last()">
	   				<td><img src="images/submenu_separator.gif" style="margin: 0px 5px 0px 5px"/></td>
	   			</xsl:if>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
   					<td><a href="{@HREF}" class="submenu"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></a></td>
    				<xsl:if test="position()!=last()">
		   				<td><img src="images/submenu_separator.gif" style="margin: 0px 5px 0px 5px"/></td>
	 	   			</xsl:if>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
