<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td style="background-image:url(images/001.gif);"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top" background="images/002.gif" style="background-position:top;background-repeat:repeat-x;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="86"><div style="width:86px"></div></td>
            <td valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="10" valign="bottom"><img src="images/003.gif" width="10" height="10"/></td>
                <td width="793" valign="top" background="images/003_2.gif" style="background-position:bottom;background-repeat:repeat-x;"><img src="images/header1.gif" width="587" height="38"/></td>
                <td width="10" align="left" valign="bottom"><img src="images/003_1.gif" width="10" height="10"/></td>
              </tr>
              <tr>
                <td valign="top"><img src="images/003_5.gif" width="10" height="171"/></td>
                <td background="images/header2.gif"><table width="100%" height="171"  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td background="images/header.gif" style="background-position:left top;background-repeat:no-repeat;">
					<!-- LOGO -->
					<table width="300" border="0" align="right" cellpadding="5" cellspacing="0">
                      <tr>
                        <td width="70" rowspan="2"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                        <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                      </tr>
                      <tr>
                        <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                      </tr>
                    </table>
					<!-- END LOGO -->
					</td>
                  </tr>
                </table></td>
                <td width="10" align="left" valign="top"><img src="images/003_4.gif" width="10" height="171"/></td>
              </tr>
              <tr >
                <td colspan="3" background="images/003_3.gif"><img src="images/003_3.gif" width="601" height="27"/></td>
                </tr>
              <tr>
                <td background="images/004.gif"></td>
                <td valign="top" background="images/005.gif" bgcolor="#ECECEA" style="background-position:bottom;background-repeat:repeat-x;padding-left:10px;padidng-right:10px;padding-bottom:15px;">                 
                  <!-- MENU --><table height="45"  border="0" align="center" cellpadding="0" cellspacing="0" valign="top">
                  <tr >
				  <td width="10"></td>
                    <xsl:call-template name="TOP-MENU"/>
					<td width="10"></td>
                  </tr>
                </table><!-- END MENU --></td>
                <td valign="bottom" background="images/004_2.gif"><img src="images/004_1.gif"/></td>
              </tr>
              <tr>
                <td background="images/006.gif"></td>
                <td height="100%" valign="top" bgcolor="#EAEAEA"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="170" valign="top"><table width="170" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td style="padding-left:15px;padding-top:20px;padding-bottom:20px;">
						<!-- SUBMENU -->
						<table width="140" border="0" cellspacing="0" cellpadding="0">
                          <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                        </table><!-- END SUBMENU --></td>
                      </tr>
                    </table></td>
                    <td background="images/006_1.gif" width="10" style="background-position:top;background-repeat:repeat-y;"></td>
                    <td width="100%" height="100%" valign="top"><!-- CONTENT -->
					<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td valign="top"><table  border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td class="pageContent"><span class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                              <td><img src="images/009.gif" width="17" height="17"/></td>
                            </tr>
                          </table>
						  </td></tr><tr><td width="100%" height="100%">
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
	<td width="100%" height="100%" class="pageContent" name="SB_stretch" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
                      </tr>
                    </table><!-- END CONTENT --></td>
                  </tr>
                </table></td>
                <td background="images/006_2.gif"></td>
              </tr>
              <tr>
                <td height="11" valign="top"><img src="images/007.gif" width="10" height="11"/></td>
                <td colspan="2" valign="top" background="images/007_2.gif"><img src="images/007_1.gif" width="597" height="11"/></td>
                </tr>
              <tr>
                <td></td>
                <td style="padding-top:10px;padding-bottom:10px;">
				<!-- BOTTOM MENU -->
				<table height="45"  border="0" align="center" cellpadding="0" cellspacing="0" valign="top">
                  <tr >
                    <td width="10"></td>
                   <xsl:call-template name="BOTTOM-MENU"/>
                    <td width="10"></td>
                  </tr>
                </table><!-- END BOTTOM MENU --></td>
                <td></td>
              </tr>
              <tr>
                <td></td>
                <td style="padding-bottom:20px;"><!-- FOOTER --><table border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                  </tr>
                </table><!-- END FOOTER --></td>
                <td></td>
              </tr>
            </table></td>
            <td width="86"><div style="width:86px"></div></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
<td class="s1"><img src="images/006_3.gif" width="6" height="6"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


 <tr>
<td class="s1"><img src="images/006_3.gif"/></td>
<td ><a href="{@HREF}" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td colspan="2"><img src="images/006_4.gif" width="140" height="20"/></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>

<td><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

 <td width="10"></td>
<td class="t1"><img src="images/008.gif"/></td>
<td width="10"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
