<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/bg.gif);background-repeat: repeat-x;background-position: left top;" bgcolor="#102039">
  <tr>
    <td rowspan="3" style="width:55px;"></td>
    <td style="height:42px;"></td>
    <td rowspan="3" style="width:55px;"></td>
  </tr>
  <tr>
    <td height="100%" align="left" valign="top">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="18" height="62" align="left" valign="top" bgcolor="#FFFFFF">
		<img src="images/left01.gif" width="18" height="57"/></td>
      <td align="center" valign="top" background="images/center01.gif">
	  <table align="center" cellpadding="0" cellspacing="0" style="height: 45px;">
        <tr>
          <xsl:call-template name="TOP-MENU"/>
        </tr>
      </table></td>
        <td width="16" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/right01.gif" width="16" height="57"/></td>
      </tr>
      <tr>
        <td align="left" valign="top"><img src="images/header01.gif" width="18" height="223"/></td>
      <td height="223" align="left" valign="top" background="images/headerbg.jpg">
	  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/header02.jpg);background-repeat: no-repeat;background-position: right top;">
        <tr>
          <td><img src="images/space.gif" width="746" height="10"/>
            <table width="300" align="left" cellpadding="0" cellspacing="0">
              <tr>
                <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
              </tr>
              <tr>
                <td style="padding-top:10px;" align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
                <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
        </tr>
      </table></td>
        <td align="left" valign="top"><img src="images/header03.gif" width="16" height="223"/></td>
      </tr>
      <tr>
        <td align="left" valign="top" bgcolor="#FFFFFF"></td>
      <td height="100%" align="center" valign="top" bgcolor="#FFFFFF"><img src="images/space.gif" width="746" height="20"/>
	  <table width="99%" height="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="170" align="left" valign="top">
            <table width="150"  border="0" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
          </table><img src="images/space.gif" width="170" height="1"/></td>
		  <td bgcolor="#DBDBDB" style="width:1px;"><img src="images/space.gif" width="1" height="1"/></td>
        <td align="left" valign="top" style="padding-left: 25px;padding-right: 25px;">
		<table cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td style="padding-left: 5px;"><img src="images/icon.gif" alt="" width="17" height="17" border="0"/></td>
          </tr>
        </table><div style="width:0px; height:15px;"><span></span></div>
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
<td class="pageContent" name="SB_stretch" height="100%">
	<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table></td>
        </tr>
        <tr align="left" valign="top">
          <td height="60" colspan="3"><table width="100%" height="60" border="0" cellpadding="0" cellspacing="0">
            <tr bgcolor="#CCCCCC">
              <td width="6" height="1" bgcolor="#2F2F2F"><img src="images/space.gif" width="6" height="1"/></td>
              <td width="100%" height="1" bgcolor="#CCCCCC"></td>
              <td width="6" height="1" bgcolor="#2F2F2F"><img src="images/space.gif" width="6" height="1"/></td>
            </tr>
            <tr>
              <td align="left" valign="top"><img src="images/space.gif" width="6" height="72"/></td>
              <td align="center"><table cellpadding="0" cellspacing="0" height="72">
                <tr>
                  <xsl:call-template name="BOTTOM-MENU"/>
                </tr>
              </table></td>
              <td></td>
            </tr>
          </table></td>
          </tr>
      </table></td>
        <td align="left" valign="top" bgcolor="#FFFFFF"></td>
      </tr>
      <tr>
        <td align="left" valign="top" style="height:16px;"><img src="images/left03.gif" width="18" height="16"/></td>
      <td align="left" valign="top" background="images/center02.gif"></td>
        <td align="left" valign="top"><img src="images/right03.gif" width="16" height="16"/></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td><div style="width:0px; height:10px;"><span></span></div>
<!-- FOOTER -->
				<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER --><div style="width:0px; height:10px;"><span></span></div></td>
  </tr>
</table>
</body>
	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td style="background-image: url('images/007.gif'); background-position: bottom; height:30px;padding-left:15px;" class="submenu">
<span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td style="background-image: url('images/007.gif'); background-position: bottom; height:30px;padding-left:15px;" class="submenu">
<a href="{@HREF}" class="submenu">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a>
</td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
<td class="cmenu"><img src="images/008.gif"/></td>
<td style="padding-left:10px; padding-right:10px;" class="bmenu">
<a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
		   <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
<td class="cmenu"><img src="images/008.gif"/></td>
<td style="padding-left:10px; padding-right:10px;" class="bmenu">
<span class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
<td class="cmenu"><img src="images/008.gif"/></td>
<td style="padding-left:10px; padding-right:10px;" class="bmenu">
<a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
