<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<td>
					<table cellpadding="0" cellspacing="0" border="0" summary="">
						<tr>
							<td><img src="images/menu_atl.gif" border="0" alt="" width="10" height="9"/></td>
							<td style="background-image: url('images/menu_abg.gif');"></td>
							<td><img src="images/menu_atr.gif" border="0" alt="" width="10" height="9"/></td>
						</tr>
						<tr>
							<td style="background-image: url('images/menu_abg.gif');"></td>
							<td style="background-image: url('images/menu_abg.gif');"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
							<td style="background-image: url('images/menu_abg.gif');"></td>
						</tr>
						<tr>
							<td><img src="images/menu_abl.gif" border="0" alt="" width="10" height="9"/></td>
							<td style="background-image: url('images/menu_abg.gif');"></td>
							<td><img src="images/menu_abr.gif" border="0" alt="" width="10" height="9"/></td>
						</tr>
					</table>
				</td>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td>
					<table cellpadding="0" cellspacing="0" border="0" summary="">
						<tr>
							<td><img src="images/menu_atl.gif" border="0" alt="" width="10" height="9"/></td>
							<td style="background-image: url('images/menu_abg.gif');"></td>
							<td><img src="images/menu_atr.gif" border="0" alt="" width="10" height="9"/></td>
						</tr>
						<tr>
							<td style="background-image: url('images/menu_abg.gif');"></td>
							<td class="menu" style="background-image: url('images/menu_abg.gif');"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
							<td style="background-image: url('images/menu_abg.gif');"></td>
						</tr>
						<tr>
							<td><img src="images/menu_abl.gif" border="0" alt="" width="10" height="9"/></td>
							<td style="background-image: url('images/menu_abg.gif');"></td>
							<td><img src="images/menu_abr.gif" border="0" alt="" width="10" height="9"/></td>
						</tr>
					</table>
				</td>
            </xsl:when>
            <xsl:otherwise>
				<td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
			<td width="10"><div style="width:5px; height:0px;"><span></span></div></td>
			<td><img src="images/separator.gif" border="0" alt=""/></td>
			<td width="10"><div style="width:5px; height:0px;"><span></span></div></td>
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
